Skip to main content
GET
/
events
/
{event_id}
Get an event
curl --request GET \
  --url https://api.billing.io/v1/events/{event_id} \
  --header 'Authorization: Bearer <token>'
{
  "event_id": "<string>",
  "checkout_id": "<string>",
  "data": {
    "checkout_id": "co_1a2b3c4d5e",
    "deposit_address": "<string>",
    "amount_usd": 123,
    "amount_atomic": "49990000",
    "tx_hash": "<string>",
    "confirmations": 123,
    "required_confirmations": 19,
    "expires_at": "2023-11-07T05:31:56Z",
    "detected_at": "2023-11-07T05:31:56Z",
    "confirmed_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "metadata": {}
  },
  "created_at": "2023-11-07T05:31:56Z"
}
Retrieve a single event by ID for detailed inspection.
curl https://api.billing.io/v1/events/evt_f1e2d3c4b5a6f7e8d9c0b1a2 \
  -H "Authorization: Bearer $BILLING_API_KEY"

Authorizations

Authorization
string
header
required

Use your secret API key as a Bearer token. Keys are prefixed: sk_live_ (production) or sk_test_ (sandbox).

Path Parameters

event_id
string
required

Response

Event details

event_id
string

Unique identifier (prefixed evt_)

type
enum<string>
Available options:
checkout.created,
checkout.payment_detected,
checkout.confirming,
checkout.completed,
checkout.expired,
checkout.failed
checkout_id
string
data
object
created_at
string<date-time>